Bug 77302 - [maintainer] fix for www/oops wrong /usr/local/sbin/ ownership
[maintainer] fix for www/oops wrong /usr/local/sbin/ ownership
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-09 11:40 UTC by Dmitry Morozovsky
Modified: 2005-02-09 14:43 UTC (History)
0 users

See Also:


Attachments
file.diff (1.30 KB, patch)
2005-02-09 11:40 UTC, Dmitry Morozovsky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Morozovsky freebsd_committer 2005-02-09 11:40:25 UTC
Due to author's error www/oops port changes ownership of /usr/local/sbin

Provided patch fixes this.
Comment 1 Dmitry Morozovsky freebsd_committer 2005-02-09 11:49:05 UTC
Oops, more generic solution is needed, like

Index: files/patch-src::Makefile.in
===================================================================
RCS file: /home/ncvs/ports/www/oops/files/patch-src::Makefile.in,v
retrieving revision 1.6
diff -u -r1.6 patch-src::Makefile.in
--- files/patch-src::Makefile.in        5 Feb 2005 18:33:40 -0000       1.6
+++ files/patch-src::Makefile.in        9 Feb 2005 11:47:35 -0000
@@ -1,9 +1,18 @@
 
-$FreeBSD: ports/www/oops/files/patch-src::Makefile.in,v 1.6 2005/02/05 
18:33:40 pav Exp $
+$FreeBSD$
 
 --- src/Makefile.in.orig
 +++ src/Makefile.in
-@@ -49,14 +49,12 @@
+@@ -2,7 +2,7 @@
+ CXX = @CXX@
+ LDFLAGS = @LDFLAGS@
+ EXTLDFLAGS = @EXTLDFLAGS@
+-INSTALL = @INSTALL@ @SETOWNER@
++INSTALL = @INSTALL@
+ INSTALL_DATA = @INSTALL@ -m 644 @SETOWNER@
+ CHOWN = @CHOWN@
+ STATIC_MODULES = @STATIC_MODULES@
+@@ -49,19 +49,16 @@
  
  mkinstalldirs:
        ../mkinstalldirs ${OOPSPATH} \
@@ -18,3 +27,8 @@
                ${CHOWN} @OOPS_USER@ ${OOPSPATH}/DB;\
        fi
  
+ install: all mkinstalldirs
+-      $(INSTALL) -d ${OOPS_SBINDIR}
+       $(INSTALL) oops ${OOPS_SBINDIR}
+       if [ -f ${OOPS_SYSCONFDIR}/oops.cfg ]; then\
+               $(INSTALL_DATA) oops.cfg ${OOPS_SYSCONFDIR}/oops.cfg.sample ;\



Sincerely,
D.Marck                                        [DM5020, MCK-RIPE, DM3-RIPN]
---------------------------------------------------------------------------
*** Dmitry Morozovsky --- D.Marck --- Wild Woozle --- marck@FreeBSD.org ***
---------------------------------------------------------------------------
Comment 2 pav freebsd_committer 2005-02-09 14:43:12 UTC
State Changed
From-To: open->closed

Committed, thanks!